# file: $isip/util/demo/GNUmakefile
# version: $Id: GNUmakefile 10572 2006-06-26 21:54:34Z rei5 $
#
# this make file builds the class hierarchy recursively
# 

ifeq "$(GC_HOME)" ""

STOP_COM := WARNING: NO GALAXY COMMUNICATION SYSTEM installed

endif


ifeq "$(ISIP_PROTO)" ""

STOP_COM += WARNING: NO PROTOTYPE SYSTEM installed

endif

ifneq "$(STOP_COM)" ""

STOP:
	echo $(STOP_COM)
endif


ISIP_EXCLUDE = \
             isip_demo_data/ \
             isip_demo_installer/

ISIP_ORDER = \
             #isip_comm_client_base/ \
             #isip_comm_client_dialog_navigation/ \
             #isip_comm_client_speaker_verification/ \
             #isip_comm_client_speech_analysis/ \
             #isip_comm_client_speech_recognition/ \
             #isip_demo_selector/ \
             isip_comm_server_dialog_lib/ \
             isip_comm_server_process_manager/ \
             isip_comm_server_signal_detector/ \
             isip_comm_server_data_recorder/ \
             isip_comm_server_dialog_navigation_db/ \
             isip_comm_server_dialog_navigation_mgr/ \
             isip_comm_server_dialog_nlp/ \
             isip_demo_dialog_makedb/ \
             isip_comm_server_speaker_verification/ \
             isip_comm_server_speech_recognition/

# include the isip standard make template
#
include $(ISIP_DEVEL)/lib/scripts/make/traverse.make

#
# end of file
